# _SceKernelCallbackInfo Struct Reference
[Thread Manager Library]

`#include <sdk/user/pspthreadman.h>`

## Detailed Description

Structure to hold the status information for a callback.

## Data Fields

SceSize | size
| Size of the structure (i.e.
char | name [32]
| The name given to the callback.
SceUID | threadId
| The thread id associated with the callback.
SceKernelCallbackFunction | callback
| Pointer to the callback function.
void * | common
| User supplied argument for the callback.
int | notifyCount
| Unknown.
int | notifyArg
| Unknown.

## Field Documentation

SceKernelCallbackFunction _SceKernelCallbackInfo::callback

| Pointer to the callback function.

void* _SceKernelCallbackInfo::common

| User supplied argument for the callback.

char _SceKernelCallbackInfo::name[32]

| The name given to the callback.

int _SceKernelCallbackInfo::notifyArg

| Unknown.

int _SceKernelCallbackInfo::notifyCount

| Unknown.

SceSize _SceKernelCallbackInfo::size

| Size of the structure (i.e. sizeof(PspCallbackStatus))

SceUID _SceKernelCallbackInfo::threadId

| The thread id associated with the callback.

The documentation for this struct was generated from the following file:

- sdk/user/pspthreadman.h